TRUNCATE(1)

BEZEICHNUNG
truncate - Die Größe einer Datei auf die angegebene Größe verkleinern oder vergrößern

ÜBERSICHT
truncate OPTION... DATEI...

BESCHREIBUNG

Die Größe einer Datei auf die angegebene Größe verkleinern oder vergrößern.

Eine noch nicht existierende DATEI wird angelegt.

Falls eine DATEI größer als angegeben ist, gehen die zusätzlichen Daten verloren. Ist sie kürzer, wird sie erweitert und der erweiterte Teil (Loch) wird als Nullbytes gelesen.

Die obligatorischen Argumente für Optionen sind für deren Kurz- und Langform gleich.

-c, --no-create
    Keine Dateien erstellen

-o, --io-blocks
    GRÖSSE als Anzahl von E/A-Blöcken anstatt Byte behandeln

-r, --reference=RDATEI
    Größe auf RDATEI basieren

-s, --size=GRÖSSE
    Setzen oder Anpassen der Dateigröße auf GRÖSSE in Byte

--help
    Diese Hilfe anzeigen und beenden

--version
    Versionsinformation anzeigen und beenden

GRÖSSE ist eine Ganzzahl und optionale Einheit (Beispiel: 10K ist 10*1024). Einheiten sind K, M, G, T, P, E, Z, Y (Potenzen von 1024) oder KB, MB, … (Potenzen von 1000).

GRÖSSE kann auch mit einem der folgenden Zeichen als Präfix versehen werden: »+« erweitern um, »-« verkleinern um, »<« höchstens, »>« mindestens, »/« abrunden zu Vielfachem von, »%« aufrunden zu Vielfachem von.

Onlinehilfe für GNU coreutils: <http://www.gnu.org/software/coreutils/> Berichten Sie Fehler in der Übersetzung von truncate an <http://translationproject.org/team/de.html>

AUTOR
Geschrieben von Pádraig Brady.

COPYRIGHT
Copyright © 2014 Free Software Foundation, Inc. Lizenz GPLv3+: GNU GPL Version 3 oder neuer <http://gnu.org/licenses/gpl.html>.
Dies ist freie Software: Sie können sie verändern und weitergeben. Es gibt KEINE GARANTIE, soweit gesetzlich zulässig.

SIEHE AUCH
dd(1), truncate(2), ftruncate(2)

Die vollständige Dokumentation für truncate wird als Texinfo-Handbuch gepflegt. Wenn die Programme info und truncate auf Ihrem Rechner ordnungsgemäß installiert sind, können Sie mit dem Befehl

    info coreutils 'truncate invocation'

auf das vollständige Handbuch zugreifen.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Karl Eichwalder <ke@suse.de>, Lutz Behnke <lutz.behnke@gmx.de>, Michael Schmidt <michael@guug.de>, Michael Piefel <piefel@debian.org>, Chris Leick <c.leick@vollbio.de>, Tobias Quathamer <toddy@debian.org> und Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.